#!/usr/bin/perl -w
use strict;
use open ':utf8';

open(NEW,">newfile"); #open file for printing result

my @lines = <>;
my $text = join "", @lines;

   $text =~ s/usemodule\[t-greek\]/usemodule\[t-utfgre\]/;
#special symbols
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\\lunars|\x{03f2}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\\lunarS|\x{03f9}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\\koppa|\x{03d9}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\\digamma|\x{03dd}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\\sampi|\x{03e1}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\\stigma|\x{03db}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\\crux|\x{2020}|g;"localgreek{$a}"/esg;
  $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\\hbrl|\x{03e1}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\\hbrr|\x{03db}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\(\(|\x{201c}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\)\)|\x{201d}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\[\[|\x{27e6}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\]\]|\x{27e7}|g;"localgreek{$a}"/esg;
#braces are a problem since } would end the search pattern. We have to convert into some intermediate stage first.
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\\brcl|\\\x{0238}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\\brcr|\\\x{0239}|g;"localgreek{$a}"/esg;
 
#accents, breathings, combinations
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|>|\x{1fbf}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|<|\x{1ffe}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|'|\x{1ffd}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|`|\x{1fef}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|~|\x{1fc0}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|"|\x{00a8}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}\x{1ffd}|\x{1fce}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}\x{1fef}|\x{1fcd}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}\x{1fc0}|\x{1fcf}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}\x{1ffd}|\x{1fde}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}\x{1fef}|\x{1fdd}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}\x{1fc0}|\x{1fdf}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{00a8}\x{1ffd}|\x{1fee}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{00a8}\x{1fef}|\x{1fed}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{00a8}\x{1fc0}|\x{1fc1}|g;"localgreek{$a}"/esg;

#trema&co
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{00a8}i|\x{03ca}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{00a8}u|\x{03cb}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fee}i|\x{1fd3}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fee}u|\x{1fe3}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fed}i|\x{1fd2}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fed}u|\x{1fe2}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fc1}i|\x{1fd7}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fc1}u|\x{1fe7}|g;"localgreek{$a}"/esg;

#iota subscript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s!\|!\x{1fbe}!g;"localgreek{$a}"/esg;

#smooth+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}a|\x{1f00}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}e|\x{1f10}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}h|\x{1f20}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}i|\x{1f30}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}o|\x{1f40}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}u|\x{1f50}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}w|\x{1f60}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}A|\x{1f08}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}E|\x{1f18}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}H|\x{1f28}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}I|\x{1f38}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}O|\x{1f48}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}W|\x{1f68}|g;"localgreek{$a}"/esg;

#smooth+vowel+susbcript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f00}\x{1fbe}|\x{1f80}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f20}\x{1fbe}|\x{1f90}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f60}\x{1fbe}|\x{1fa0}|g;"localgreek{$a}"/esg;

#rough+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}a|\x{1f01}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}e|\x{1f11}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}h|\x{1f21}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}i|\x{1f31}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}o|\x{1f41}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}u|\x{1f51}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}w|\x{1f61}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}A|\x{1f09}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}E|\x{1f19}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}H|\x{1f29}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}I|\x{1f39}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}O|\x{1f49}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}U|\x{1f59}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}W|\x{1f69}|g;"localgreek{$a}"/esg;

#rough+vowel+susbcript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f01}\x{1fbe}|\x{1f81}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f21}\x{1fbe}|\x{1f91}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f61}\x{1fbe}|\x{1fa1}|g;"localgreek{$a}"/esg;

#smooth, rough + rho
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fbf}r|\x{1fe4}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffe}r|\x{1fe5}|g;"localgreek{$a}"/esg;

#acute+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffd}a|\x{1f71}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffd}e|\x{1f73}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffd}h|\x{1f75}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffd}i|\x{1f77}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffd}o|\x{1f79}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffd}u|\x{1f7b}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffd}w|\x{1f7d}|g;"localgreek{$a}"/esg;


#acute+vowel+susbcript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f71}\x{1fbe}|\x{1fb4}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f75}\x{1fbe}|\x{1fc4}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f7d}\x{1fbe}|\x{1ff4}|g;"localgreek{$a}"/esg;


#grave+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fef}a|\x{1f70}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fef}e|\x{1f72}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fef}h|\x{1f74}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fef}i|\x{1f76}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fef}o|\x{1f78}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fef}u|\x{1f7a}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fef}w|\x{1f7c}|g;"localgreek{$a}"/esg;


#grave+vowel+susbcript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f70}\x{1fbe}|\x{1fb2}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f74}\x{1fbe}|\x{1fc2}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f7c}\x{1fbe}|\x{1ff2}|g;"localgreek{$a}"/esg;


#circumflex+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fc0}a|\x{1fb6}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fc0}h|\x{1fc6}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fc0}i|\x{1fd6}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fc0}u|\x{1fe6}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fc0}w|\x{1ff6}|g;"localgreek{$a}"/esg;

#circumflex+vowel+subscript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fb6}\x{1fbe}|\x{1fb7}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fc6}\x{1fbe}|\x{1fc7}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ff6}\x{1fbe}|\x{1ff7}|g;"localgreek{$a}"/esg;


#smooth+acute+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fce}a|\x{1f04}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fce}e|\x{1f14}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fce}h|\x{1f24}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fce}i|\x{1f34}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fce}o|\x{1f44}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fce}u|\x{1f54}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fce}w|\x{1f64}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fce}A|\x{1f0c}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fce}E|\x{1f1c}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fce}H|\x{1f2c}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fce}I|\x{1f3c}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fce}O|\x{1f4c}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fce}W|\x{1f6c}|g;"localgreek{$a}"/esg;

#smooth+acute+vowel+subscript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f04}\x{1fbe}|\x{1f84}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f24}\x{1fbe}|\x{1f94}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f64}\x{1fbe}|\x{1fa4}|g;"localgreek{$a}"/esg;

#smooth+grave+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcd}a|\x{1f02}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcd}e|\x{1f12}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcd}h|\x{1f22}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcd}i|\x{1f32}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcd}o|\x{1f42}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcd}u|\x{1f52}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcd}w|\x{1f62}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcd}A|\x{1f0a}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcd}E|\x{1f1a}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcd}H|\x{1f2a}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcd}I|\x{1f3a}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcd}O|\x{1f4c}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcd}W|\x{1f6a}|g;"localgreek{$a}"/esg;

#smooth+grave+vowel+accent
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f02}\x{1fbe}|\x{1f82}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f22}\x{1fbe}|\x{1f92}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f62}\x{1fbe}|\x{1fa2}|g;"localgreek{$a}"/esg;

#smooth+circumflex+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcf}a|\x{1f06}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcf}h|\x{1f26}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcf}i|\x{1f36}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcf}u|\x{1f56}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcf}w|\x{1f66}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcf}A|\x{1f0e}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcf}H|\x{1f2e}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcf}I|\x{1f3e}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fcf}W|\x{1f6e}|g;"localgreek{$a}"/esg;

#smooth+circumflex+vowel+susbcript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f06}\x{1fbe}|\x{1f86}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f26}\x{1fbe}|\x{1f96}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f66}\x{1fbe}|\x{1fa6}|g;"localgreek{$a}"/esg;

#rough+acute+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fde}a|\x{1f05}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fde}e|\x{1f15}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fde}h|\x{1f25}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fde}i|\x{1f35}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fde}o|\x{1f45}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fde}u|\x{1f55}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fde}w|\x{1f65}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fde}A|\x{1f0d}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fde}E|\x{1f1d}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fde}H|\x{1f2d}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fde}I|\x{1f3d}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fde}O|\x{1f4d}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fde}U|\x{1f5d}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fde}W|\x{1f6d}|g;"localgreek{$a}"/esg;

#rough+acute+vowel+subscript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f05}\x{1fbe}|\x{1f85}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f25}\x{1fbe}|\x{1f95}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f65}\x{1fbe}|\x{1fa5}|g;"localgreek{$a}"/esg;

#rough+grave+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdd}a|\x{1f03}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdd}e|\x{1f13}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdd}h|\x{1f23}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdd}i|\x{1f33}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdd}o|\x{1f43}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdd}u|\x{1f53}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdd}w|\x{1f63}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdd}A|\x{1f0b}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdd}E|\x{1f1b}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdd}H|\x{1f2b}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdd}I|\x{1f3b}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdd}O|\x{1f4b}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdd}U|\x{1f5b}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdd}W|\x{1f6b}|g;"localgreek{$a}"/esg;

#rough+grave+vowel+subscript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f03}\x{1fbe}|\x{1f83}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f23}\x{1fbe}|\x{1f93}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f63}\x{1fbe}|\x{1fa3}|g;"localgreek{$a}"/esg;

#rough+circumflex+vowel
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdf}a|\x{1f07}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdf}h|\x{1f27}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdf}i|\x{1f37}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdf}u|\x{1f57}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdf}w|\x{1f67}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdf}A|\x{1f0f}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdf}H|\x{1f2f}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdf}I|\x{1f3f}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdf}U|\x{1f5f}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1fdf}W|\x{1f6f}|g;"localgreek{$a}"/esg;

#rough+circumflex+vowel+subscript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f07}\x{1fbe}|\x{1f87}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f27}\x{1fbe}|\x{1f97}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1f67}\x{1fbe}|\x{1fa7}|g;"localgreek{$a}"/esg;

#vowel+subscript
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|a\x{1fbe}|\x{1fb3}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|h\x{1fbe}|\x{1fc3}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|w\x{1fbe}|\x{1ff3}|g;"localgreek{$a}"/esg;

#single letters
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|A|\x{0391}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|B|\x{0392}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|D|\x{0394}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|E|\x{0395}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|F|\x{03a6}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|G|\x{0393}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|H|\x{0397}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|I|\x{0399}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|J|\x{0398}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|K|\x{039a}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|L|\x{039b}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|M|\x{039c}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|N|\x{039d}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|O|\x{039f}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|P|\x{03a0}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|Q|\x{03a7}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|R|\x{03a1}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|S|\x{03a3}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|T|\x{03a4}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|U|\x{03a5}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|W|\x{03a9}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|X|\x{039e}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|Y|\x{03a8}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|Z|\x{0396}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|a|\x{03b1}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|b|\x{03b2}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|c|\x{03c2}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|d|\x{03b4}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|e|\x{03b5}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|f|\x{03c6}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|g|\x{03b3}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|h|\x{03b7}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|i|\x{03b9}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|j|\x{03b8}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|k|\x{03ba}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|l|\x{03bb}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|m|\x{03bc}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|n|\x{03bd}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|o|\x{03bf}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|p|\x{03c0}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|r|\x{03c1}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|q|\x{03c7}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|s|\x{03c3}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|t|\x{03c4}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|u|\x{03c5}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|w|\x{03c9}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|x|\x{03be}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|y|\x{03c8}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|z|\x{03b6}|g;"localgreek{$a}"/esg;

#specials
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\x{1ffd}\x{1ffd}|''|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|;|\x{0387}|g;"localgreek{$a}"/esg;

#finally, take care of braces
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\\\x{0238}|\\\x{007b}|g;"localgreek{$a}"/esg;
   $text =~ s/(localgreek{)(.+?)(})/$a=$2;$a=~s|\\\x{0239}|\\\x{007d}|g;"localgreek{$a}"/esg;

##############################################################################


#special symbols
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\\lunars|\x{03f2}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\\lunarS|\x{03f9}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\\koppa|\x{03d9}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\\digamma|\x{03dd}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\\sampi|\x{03e1}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\\stigma|\x{03db}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\\crux|\x{2020}|g;"\\startgreek $a \\stopgreek"/esg;
  $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\\hbrl|\x{03e1}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\\hbrr|\x{03db}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\(\(|\x{201c}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\)\)|\x{201d}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\[\[|\x{27e6}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\]\]|\x{27e7}|g;"\\startgreek $a \\stopgreek"/esg;
#braces are a problem since } would end the search pattern. We have to convert into some intermediate stage first.
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\\brcl|\\\x{0238}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\\brcr|\\\x{0239}|g;"\\startgreek $a \\stopgreek"/esg;
 
#accents, breathings, combinations
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|>|\x{1fbf}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|<|\x{1ffe}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|'|\x{1ffd}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|`|\x{1fef}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|~|\x{1fc0}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|"|\x{00a8}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}\x{1ffd}|\x{1fce}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}\x{1fef}|\x{1fcd}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}\x{1fc0}|\x{1fcf}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}\x{1ffd}|\x{1fde}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}\x{1fef}|\x{1fdd}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}\x{1fc0}|\x{1fdf}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{00a8}\x{1ffd}|\x{1fee}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{00a8}\x{1fef}|\x{1fed}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{00a8}\x{1fc0}|\x{1fc1}|g;"\\startgreek $a \\stopgreek"/esg;

#trema&co
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{00a8}i|\x{03ca}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{00a8}u|\x{03cb}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fee}i|\x{1fd3}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fee}u|\x{1fe3}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fed}i|\x{1fd2}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fed}u|\x{1fe2}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fc1}i|\x{1fd7}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fc1}u|\x{1fe7}|g;"\\startgreek $a \\stopgreek"/esg;

#iota subscript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s!\|!\x{1fbe}!g;"\\startgreek $a \\stopgreek"/esg;

#smooth+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}a|\x{1f00}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}e|\x{1f10}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}h|\x{1f20}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}i|\x{1f30}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}o|\x{1f40}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}u|\x{1f50}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}w|\x{1f60}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}A|\x{1f08}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}E|\x{1f18}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}H|\x{1f28}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}I|\x{1f38}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}O|\x{1f48}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}W|\x{1f68}|g;"\\startgreek $a \\stopgreek"/esg;

#smooth+vowel+susbcript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f00}\x{1fbe}|\x{1f80}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f20}\x{1fbe}|\x{1f90}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f60}\x{1fbe}|\x{1fa0}|g;"\\startgreek $a \\stopgreek"/esg;

#rough+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}a|\x{1f01}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}e|\x{1f11}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}h|\x{1f21}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}i|\x{1f31}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}o|\x{1f41}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}u|\x{1f51}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}w|\x{1f61}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}A|\x{1f09}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}E|\x{1f19}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}H|\x{1f29}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}I|\x{1f39}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}O|\x{1f49}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}U|\x{1f59}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}W|\x{1f69}|g;"\\startgreek $a \\stopgreek"/esg;

#rough+vowel+susbcript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f01}\x{1fbe}|\x{1f81}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f21}\x{1fbe}|\x{1f91}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f61}\x{1fbe}|\x{1fa1}|g;"\\startgreek $a \\stopgreek"/esg;

#smooth, rough + rho
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fbf}r|\x{1fe4}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffe}r|\x{1fe5}|g;"\\startgreek $a \\stopgreek"/esg;

#acute+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffd}a|\x{1f71}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffd}e|\x{1f73}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffd}h|\x{1f75}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffd}i|\x{1f77}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffd}o|\x{1f79}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffd}u|\x{1f7b}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffd}w|\x{1f7d}|g;"\\startgreek $a \\stopgreek"/esg;


#acute+vowel+susbcript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f71}\x{1fbe}|\x{1fb4}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f75}\x{1fbe}|\x{1fc4}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f7d}\x{1fbe}|\x{1ff4}|g;"\\startgreek $a \\stopgreek"/esg;


#grave+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fef}a|\x{1f70}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fef}e|\x{1f72}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fef}h|\x{1f74}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fef}i|\x{1f76}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fef}o|\x{1f78}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fef}u|\x{1f7a}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fef}w|\x{1f7c}|g;"\\startgreek $a \\stopgreek"/esg;


#grave+vowel+susbcript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f70}\x{1fbe}|\x{1fb2}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f74}\x{1fbe}|\x{1fc2}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f7c}\x{1fbe}|\x{1ff2}|g;"\\startgreek $a \\stopgreek"/esg;


#circumflex+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fc0}a|\x{1fb6}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fc0}h|\x{1fc6}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fc0}i|\x{1fd6}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fc0}u|\x{1fe6}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fc0}w|\x{1ff6}|g;"\\startgreek $a \\stopgreek"/esg;

#circumflex+vowel+subscript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fb6}\x{1fbe}|\x{1fb7}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fc6}\x{1fbe}|\x{1fc7}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ff6}\x{1fbe}|\x{1ff7}|g;"\\startgreek $a \\stopgreek"/esg;


#smooth+acute+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fce}a|\x{1f04}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fce}e|\x{1f14}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fce}h|\x{1f24}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fce}i|\x{1f34}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fce}o|\x{1f44}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fce}u|\x{1f54}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fce}w|\x{1f64}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fce}A|\x{1f0c}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fce}E|\x{1f1c}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fce}H|\x{1f2c}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fce}I|\x{1f3c}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fce}O|\x{1f4c}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fce}W|\x{1f6c}|g;"\\startgreek $a \\stopgreek"/esg;

#smooth+acute+vowel+subscript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f04}\x{1fbe}|\x{1f84}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f24}\x{1fbe}|\x{1f94}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f64}\x{1fbe}|\x{1fa4}|g;"\\startgreek $a \\stopgreek"/esg;

#smooth+grave+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcd}a|\x{1f02}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcd}e|\x{1f12}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcd}h|\x{1f22}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcd}i|\x{1f32}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcd}o|\x{1f42}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcd}u|\x{1f52}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcd}w|\x{1f62}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcd}A|\x{1f0a}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcd}E|\x{1f1a}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcd}H|\x{1f2a}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcd}I|\x{1f3a}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcd}O|\x{1f4c}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcd}W|\x{1f6a}|g;"\\startgreek $a \\stopgreek"/esg;

#smooth+grave+vowel+accent
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f02}\x{1fbe}|\x{1f82}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f22}\x{1fbe}|\x{1f92}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f62}\x{1fbe}|\x{1fa2}|g;"\\startgreek $a \\stopgreek"/esg;

#smooth+circumflex+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcf}a|\x{1f06}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcf}h|\x{1f26}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcf}i|\x{1f36}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcf}u|\x{1f56}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcf}w|\x{1f66}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcf}A|\x{1f0e}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcf}H|\x{1f2e}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcf}I|\x{1f3e}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fcf}W|\x{1f6e}|g;"\\startgreek $a \\stopgreek"/esg;

#smooth+circumflex+vowel+susbcript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f06}\x{1fbe}|\x{1f86}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f26}\x{1fbe}|\x{1f96}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f66}\x{1fbe}|\x{1fa6}|g;"\\startgreek $a \\stopgreek"/esg;

#rough+acute+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fde}a|\x{1f05}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fde}e|\x{1f15}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fde}h|\x{1f25}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fde}i|\x{1f35}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fde}o|\x{1f45}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fde}u|\x{1f55}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fde}w|\x{1f65}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fde}A|\x{1f0d}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fde}E|\x{1f1d}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fde}H|\x{1f2d}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fde}I|\x{1f3d}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fde}O|\x{1f4d}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fde}U|\x{1f5d}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fde}W|\x{1f6d}|g;"\\startgreek $a \\stopgreek"/esg;

#rough+acute+vowel+subscript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f05}\x{1fbe}|\x{1f85}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f25}\x{1fbe}|\x{1f95}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f65}\x{1fbe}|\x{1fa5}|g;"\\startgreek $a \\stopgreek"/esg;

#rough+grave+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdd}a|\x{1f03}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdd}e|\x{1f13}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdd}h|\x{1f23}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdd}i|\x{1f33}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdd}o|\x{1f43}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdd}u|\x{1f53}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdd}w|\x{1f63}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdd}A|\x{1f0b}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdd}E|\x{1f1b}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdd}H|\x{1f2b}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdd}I|\x{1f3b}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdd}O|\x{1f4b}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdd}U|\x{1f5b}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdd}W|\x{1f6b}|g;"\\startgreek $a \\stopgreek"/esg;

#rough+grave+vowel+subscript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f03}\x{1fbe}|\x{1f83}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f23}\x{1fbe}|\x{1f93}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f63}\x{1fbe}|\x{1fa3}|g;"\\startgreek $a \\stopgreek"/esg;

#rough+circumflex+vowel
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdf}a|\x{1f07}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdf}h|\x{1f27}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdf}i|\x{1f37}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdf}u|\x{1f57}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdf}w|\x{1f67}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdf}A|\x{1f0f}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdf}H|\x{1f2f}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdf}I|\x{1f3f}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdf}U|\x{1f5f}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1fdf}W|\x{1f6f}|g;"\\startgreek $a \\stopgreek"/esg;

#rough+circumflex+vowel+subscript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f07}\x{1fbe}|\x{1f87}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f27}\x{1fbe}|\x{1f97}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1f67}\x{1fbe}|\x{1fa7}|g;"\\startgreek $a \\stopgreek"/esg;

#vowel+subscript
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|a\x{1fbe}|\x{1fb3}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|h\x{1fbe}|\x{1fc3}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|w\x{1fbe}|\x{1ff3}|g;"\\startgreek $a \\stopgreek"/esg;

#single letters
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|A|\x{0391}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|B|\x{0392}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|D|\x{0394}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|E|\x{0395}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|F|\x{03a6}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|G|\x{0393}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|H|\x{0397}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|I|\x{0399}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|J|\x{0398}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|K|\x{039a}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|L|\x{039b}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|M|\x{039c}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|N|\x{039d}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|O|\x{039f}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|P|\x{03a0}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|Q|\x{03a7}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|R|\x{03a1}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|S|\x{03a3}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|T|\x{03a4}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|U|\x{03a5}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|W|\x{03a9}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|X|\x{039e}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|Y|\x{03a8}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|Z|\x{0396}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|a|\x{03b1}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|b|\x{03b2}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|c|\x{03c2}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|d|\x{03b4}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|e|\x{03b5}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|f|\x{03c6}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|g|\x{03b3}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|h|\x{03b7}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|i|\x{03b9}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|j|\x{03b8}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|k|\x{03ba}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|l|\x{03bb}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|m|\x{03bc}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|n|\x{03bd}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|o|\x{03bf}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|p|\x{03c0}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|r|\x{03c1}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|q|\x{03c7}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|s|\x{03c3}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|t|\x{03c4}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|u|\x{03c5}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|w|\x{03c9}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|x|\x{03be}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|y|\x{03c8}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|z|\x{03b6}|g;"\\startgreek $a \\stopgreek"/esg;

#specials
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\x{1ffd}\x{1ffd}|''|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|;|\x{0387}|g;"\\startgreek $a \\stopgreek"/esg;

#finally, take care of braces
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\\\x{0238}|\\\x{007b}|g;"\\startgreek $a \\stopgreek"/esg;
   $text =~ s/(\\startgreek)(.+?)(\\stopgreek)/$a=$2;$a=~s|\\\x{0239}|\\\x{007d}|g;"\\startgreek $a \\stopgreek"/esg;

 
   print NEW "$text";

close(NEW);

my $basename = "$ARGV";
$basename =~ s/\.tex//i;

rename("newfile", "$basename.unicode.tex");
